package driving

import (
	"context"
	"edp.buildth.ing/DevFW-CICD/edge-connect-client/internal/core/domain"
)

type AppService interface {
	CreateApp(ctx context.Context, region string, app *domain.App) error
	ShowApp(ctx context.Context, region string, appKey domain.AppKey) (*domain.App, error)
	ShowApps(ctx context.Context, region string, appKey domain.AppKey) ([]domain.App, error)
	DeleteApp(ctx context.Context, region string, appKey domain.AppKey) error
	UpdateApp(ctx context.Context, region string, app *domain.App) error
}
